Bug 204928 - sleeping function called from invalid context at include/asm/semaphore.h:105
sleeping function called from invalid context at include/asm/semaphore.h:105
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 09:41 EDT by Patrick
Modified: 2008-05-06 20:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2006-09-01 09:41:32 EDT
Description of problem:

After resuming from a suspend the following error message is visible in
/var/log/messages

Version-Release number of selected component (if applicable):
FC6T2 x86_64 updated to Rawhide from August 31, 2006.
Kernel 2.6.17-1.2600

How reproducible:
Start laptop in runlevel 5, login (desktop is Gnome), right click on the g-p-m
icon, select suspend. Wait for the laptop to suspend, press the spacebar, wait
for the laptop to resume, check /var/log/messages.

Steps to Reproduce:
1. start laptop and login
2. right click on the g-p-m icon and select suspend
3. resume and check /var/log/messages
  
Actual results:
Error in /var/log/messages. The bluetooth mouse no longer works too although all
modules were unloaded before suspending (the touchpad does work after resume).
And if I left a terminal or gvim window open when suspending then typing in
those windows after resume will not show any letters. They seem frozen as far as
keyboard input is concerned. Starting and typing in a new terminal or gvim
window works fine. Just not the ones that were there before the suspend.  The
laptop has a hardware button enabling/disabling bluetooth. After the laptop has
resumed, pressing the bluetooth button no longer turns it on (no blue led) and
starting the bluetooth and hidd services don't make the bluetooth mouse work.
I'm noting it here because I don't know if the bug is causing bluetooth and
input in pre-suspend windows to fail after resume. Laptop is an Acer Ferrari
4005WMLi.

Expected results:
No error messages (and a working bluetooth mouse if it's related).

Additional info:
The kernel has to be started with the following parameters or resume does not
work: pci=assign-busses noapic irqpoll. This information came from:
http://gentoo-wiki.com/HARDWARE_Gentoo_Acer_Ferrari_4005WLMi_Manual#ACPI_power_states
The "pci=assign-busses" parameter is suggested by the kernel itself in
/var/log/messages.

Here is the script I execute before suspending:
#/bin/bash
/sbin/service hidd stop
/sbin/service bluetooth stop
/sbin/modprobe -r ohci1394
/sbin/modprobe -r ehci_hcd
/sbin/modprobe -r ohci_hcd
/sbin/modprobe -r hci_usb
/sbin/modprobe -r hidp
/sbin/modprobe -r rfcomm
/sbin/modprobe -r l2cap

Now I right click on the g-p-m icon and select suspend. Once it's suspended I
press the spacebar so the laptop resumes.

Here is the suspend and resume information from /var/log/messages
Sep  1 14:44:43 speedy kernel: ehci_hcd 0000:00:13.2: remove, state 1
Sep  1 14:44:43 speedy kernel: usb usb1: USB disconnect, address 1
Sep  1 14:44:43 speedy kernel: ehci_hcd 0000:00:13.2: USB bus 1 deregistered
Sep  1 14:44:43 speedy kernel: ACPI: PCI interrupt for device 0000:00:13.2 disabled
Sep  1 14:44:43 speedy kernel: ohci_hcd 0000:00:13.1: remove, state 4
Sep  1 14:44:43 speedy kernel: usb usb3: USB disconnect, address 1
Sep  1 14:44:44 speedy kernel: ohci_hcd 0000:00:13.1: USB bus 3 deregistered
Sep  1 14:44:44 speedy kernel: ACPI: PCI interrupt for device 0000:00:13.1 disabled
Sep  1 14:44:44 speedy kernel: ohci_hcd 0000:00:13.0: remove, state 4
Sep  1 14:44:44 speedy kernel: usb usb2: USB disconnect, address 1
Sep  1 14:44:44 speedy kernel: ohci_hcd 0000:00:13.0: USB bus 2 deregistered
Sep  1 14:44:44 speedy kernel: ACPI: PCI interrupt for device 0000:00:13.0 disabled
Sep  1 14:44:44 speedy kernel: NET: Unregistered protocol family 31
Sep  1 14:46:06 speedy gnome-power-manager: (patrick) Suspending computer
because user clicked suspend from tray menu
Sep  1 14:46:24 speedy kernel: Disabling non-boot CPUs ...
Sep  1 14:46:24 speedy kernel: Stopping tasks:
================================================================================================|
Sep  1 14:46:24 speedy kernel: pnp: Device 00:0a disabled.
Sep  1 14:46:24 speedy kernel: ACPI: PCI interrupt for device 0000:03:09.0 disabled
Sep  1 14:46:24 speedy kernel: pci_set_power_state(): 0000:00:14.6: state=3,
current state=5
Sep  1 14:46:24 speedy kernel: ACPI: PCI interrupt for device 0000:00:14.6 disabled
Sep  1 14:46:24 speedy kernel: pci_set_power_state(): 0000:00:14.5: state=3,
current state=5
Sep  1 14:46:24 speedy kernel: ACPI: PCI interrupt for device 0000:00:14.5 disabled
Sep  1 14:46:24 speedy kernel: BUG: sleeping function called from invalid
context at include/asm/semaphore.h:105
Sep  1 14:46:24 speedy kernel: in_atomic():0, irqs_disabled():1
Sep  1 14:46:24 speedy kernel: 
Sep  1 14:46:24 speedy kernel: Call Trace:
Sep  1 14:46:24 speedy kernel:  [<ffffffff8026e97d>] show_trace+0xae/0x319
Sep  1 14:46:24 speedy kernel:  [<ffffffff8026ebfd>] dump_stack+0x15/0x17
Sep  1 14:46:24 speedy kernel:  [<ffffffff8020badb>] __might_sleep+0xb2/0xb4
Sep  1 14:46:24 speedy kernel:  [<ffffffff80375da1>]
acpi_os_wait_semaphore+0x5d/0xd9
Sep  1 14:46:24 speedy kernel:  [<ffffffff8038dcbb>] acpi_ut_acquire_mutex+0x3e/0x8f
Sep  1 14:46:24 speedy kernel:  [<ffffffff80385549>] acpi_ns_get_node+0x51/0xa6
Sep  1 14:46:24 speedy kernel:  [<ffffffff80384dde>] acpi_ns_evaluate+0x3c/0x11a
Sep  1 14:46:24 speedy kernel:  [<ffffffff80389243>]
acpi_rs_set_srs_method_data+0xe3/0x107
Sep  1 14:46:24 speedy kernel:  [<ffffffff80388dc6>]
acpi_set_current_resources+0x37/0x45
Sep  1 14:46:24 speedy kernel:  [<ffffffff803918a5>] acpi_pci_link_set+0x120/0x1e7
Sep  1 14:46:24 speedy kernel:  [<ffffffff803919c2>] irqrouter_resume+0x56/0x6f
Sep  1 14:46:24 speedy kernel:  [<ffffffff803bd842>] __sysdev_resume+0x20/0x73
Sep  1 14:46:24 speedy kernel:  [<ffffffff803bda3f>] sysdev_resume+0x1f/0x6d
Sep  1 14:46:24 speedy kernel:  [<ffffffff803c2b86>] device_power_up+0x9/0x10
Sep  1 14:46:24 speedy kernel:  [<ffffffff802b26d9>] suspend_enter+0x4e/0x6e
Sep  1 14:46:24 speedy kernel:  [<ffffffff802b2888>] enter_state+0x18f/0x1fa
Sep  1 14:46:24 speedy kernel:  [<ffffffff802b296c>] state_store+0x68/0x86
Sep  1 14:46:24 speedy kernel:  [<ffffffff8030c276>] subsys_attr_store+0x24/0x26
Sep  1 14:46:24 speedy kernel:  [<ffffffff8030c5ae>] sysfs_write_file+0xd1/0x103
Sep  1 14:46:24 speedy kernel:  [<ffffffff80217204>] vfs_write+0xcf/0x175
Sep  1 14:46:24 speedy kernel:  [<ffffffff80217aec>] sys_write+0x47/0x70
Sep  1 14:46:24 speedy kernel:  [<ffffffff8026060e>] system_call+0x7e/0x83
Sep  1 14:46:24 speedy kernel: DWARF2 unwinder stuck at system_call+0x7e/0x83
Sep  1 14:46:24 speedy kernel: Leftover inexact backtrace:
Sep  1 14:46:24 speedy kernel: 
Sep  1 14:46:24 speedy kernel: PCI: Enabling device 0000:00:14.5 (0010 -> 0012)
Sep  1 14:46:24 speedy kernel: ACPI: PCI Interrupt 0000:00:14.5[B] -> Link
[LNKB] -> GSI 10 (level, low) -> IRQ 10
Sep  1 14:46:24 speedy kernel: atiixp: codec reset timeout
Sep  1 14:46:24 speedy kernel: PCI: Enabling device 0000:00:14.6 (0010 -> 0012)
Sep  1 14:46:24 speedy kernel: ACPI: PCI Interrupt 0000:00:14.6[B] -> Link
[LNKB] -> GSI 10 (level, low) -> IRQ 10
Sep  1 14:46:24 speedy kernel: tg3: eth0: Link is down.
Sep  1 14:46:24 speedy kernel: ACPI: PCI Interrupt 0000:03:09.0[A] -> Link
[LNKH] -> GSI 11 (level, low) -> IRQ 11
Sep  1 14:46:24 speedy kernel: pnp: Device 00:05 does not support activation.
Sep  1 14:46:24 speedy kernel: pnp: Device 00:06 does not support activation.
Sep  1 14:46:24 speedy kernel: pnp: Device 00:0a activated.
Sep  1 14:46:24 speedy kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Sep  1 14:46:24 speedy kernel: tg3: eth0: Flow control is on for TX and on for RX.
Sep  1 14:46:24 speedy kernel: Restarting tasks... done
Sep  1 14:46:24 speedy kernel: Enabling non-boot CPUs ...
Sep  1 14:46:28 speedy kernel: ACPI: Power Button (FF) [PWRF]
Sep  1 14:46:28 speedy kernel: ACPI: Lid Switch [LID]
Sep  1 14:46:28 speedy kernel: ACPI: Power Button (CM) [PWRB]
Sep  1 14:46:28 speedy kernel: ACPI: Sleep Button (CM) [SLPB]
Sep  1 14:46:32 speedy gnome-power-manager: (patrick) Resuming computer
Comment 1 David Lawrence 2006-09-05 11:30:54 EDT
Reassigning to correct owner, kernel-maint.
Comment 2 Bug Zapper 2008-04-03 14:06:45 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:48:18 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.